=== debian/changelog ===
obs-scene-collection-manager (0.0.4-2) unstable; urgency=medium

  * debian/copyright: updated upstream copyright years.
  * debian/install: removed. The upstream source code already installs the data
    file.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Sun, 13 Feb 2022 20:42:40 -0300

obs-scene-collection-manager (0.0.4-1) unstable; urgency=medium

  * New upstream version 0.0.4.
  * Upload to unstable.
  * Using BUILD_OUT_OF_TREE, provided by the upstream in last version (thanks).
    Consequently:
      - debian/patches/010_fix-cmake.patch: dropped.
      - debian/rules:
          ~ Added targets override_dh_auto_configure and
            execute_after_dh_install-arch.
          ~ Dropped target execute_before_dh_install.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Sun, 13 Feb 2022 13:57:53 -0300

obs-scene-collection-manager (0.0.2-1) experimental; urgency=medium

  * Initial release. (Closes: #1003034)

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Tue, 04 Jan 2022 21:19:10 -0300
