=== debian/control ===
Source: obs-scene-collection-manager
Section: video
Priority: optional
Maintainer: Joao Eriberto Mota Filho <eriberto@debian.org>
Build-Depends: debhelper-compat (= 13), cmake, libobs-dev (>= 26), qtbase5-dev
Standards-Version: 4.6.0
Homepage: https://obsproject.com/forum/resources/scene-collection-manager.1434/
Vcs-Browser: https://salsa.debian.org/debian/obs-scene-collection-manager
Vcs-Git: https://salsa.debian.org/debian/obs-scene-collection-manager.git
Rules-Requires-Root: no

Package: obs-scene-collection-manager
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, obs-studio (>= 26)
Enhances: obs-studio
Description: plugin for OBS Studio to generate sets of scenes
 This plugin allows the user to generate several sets of scenes to use
 in different scenarios. To choose and use a set of scenes, just click
 over a name in a menu. Also is possible to filter, backup and restore
 scene collections.
 .
 The Scene Collection Manager will appear on the main menu and on the
 Tools menu when installed.
 .
 This plugin is compatible with OBS 26 or higher.
