## obs-scene-collection-manager 0.0.6

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,5 +1,5 @@
 cmake_minimum_required(VERSION 3.18)
-project(scene-collection-manager VERSION 0.0.4)
+project(scene-collection-manager VERSION 0.0.6)
 set(PROJECT_FULL_NAME "Scene Collection Manager")
 
 configure_file(${CMAKE_CURRENT_SOURCE_DIR}/version.h.in ${CMAKE_CURRENT_SOURCE_DIR}/version.h)
