=== debian/changelog ===
obs-scene-collection-manager (0.0.6-1~bpo11+1) bullseye-backports; urgency=medium

  * Rebuild for bullseye-backports.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Tue, 12 Jul 2022 17:21:03 -0300

obs-scene-collection-manager (0.0.6-1) unstable; urgency=medium

  * New upstream version 0.0.6.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Sun, 05 Jun 2022 09:37:57 -0300
