=== debian/watch ===
version=4
https://github.com/exeldro/obs-scene-collection-manager/releases .*/tags/(\d\S+)\.tar\.(?:bz2|gz|xz)
