=== debian/control ===
Source: obs-scene-collection-manager
Section: video
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Joao Eriberto Mota Filho <eriberto@debian.org>
Build-Depends: debhelper-compat (= 13),
               cmake,
               libobs-dev (>= 28.0.1),
               qtbase5-dev
Standards-Version: 4.6.2
Homepage: https://obsproject.com/forum/resources/scene-collection-manager.1434/
Vcs-Browser: https://salsa.debian.org/debian/obs-scene-collection-manager
Vcs-Git: https://salsa.debian.org/debian/obs-scene-collection-manager.git
Rules-Requires-Root: no

Package: obs-scene-collection-manager
Architecture: any
Depends: obs-studio (>= 28.0.1), ${misc:Depends}, ${shlibs:Depends}
Enhances: obs-studio
Description: plugin for OBS Studio to generate sets of scenes
 This plugin allows the user to generate several sets of scenes to use
 in different scenarios. To choose and use a set of scenes, just click
 over a name in a menu. Also is possible to filter, backup and restore
 scene collections.
 .
 The Scene Collection Manager will appear on the main menu and on the
 Tools menu when installed.
