=== debian/changelog ===
obs-scene-collection-manager (0.1.1-1) unstable; urgency=medium

  * New upstream version 0.1.1.
  * debian/control: changed qtbase5-dev by qt6-base-dev in Build-Depends field.
  * debian/copyright: updated upstream and packaging copyright years.
  * debian/patches/010_update-pt-BR.patch: removed because the upstream applied
    this patch. Thanks!
  * debian/rules: removed no longer needed variable QT_SELECT=qt5.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Sun, 12 May 2024 20:14:12 -0300
