=== debian/control ===
--- 
+++ 
@@ -1,12 +1,11 @@
 Source: obs-scene-collection-manager
 Section: video
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Joao Eriberto Mota Filho <eriberto@debian.org>
+Maintainer: Joao Eriberto Mota Filho <eriberto@debian.org>
 Build-Depends: debhelper-compat (= 13),
                cmake,
                libobs-dev (>= 28.0.1),
-               qtbase5-dev
+               qt6-base-dev
 Standards-Version: 4.6.2
 Homepage: https://obsproject.com/forum/resources/scene-collection-manager.1434/
 Vcs-Browser: https://salsa.debian.org/debian/obs-scene-collection-manager
