=== debian/changelog ===
obs-scene-collection-manager (0.1.2-2) unstable; urgency=medium

  * debian/control:
      - Bumped Standards-Version to 4.7.3.
      - Removed no longer needed "Priority: optional" field.
      - Removed no longer needed "Rules-Requires-Root: no" field.
  * debian/copyright: updated packaging copyright years.
  * debian/rules: added an override for blhc to avoid hardening warnings
    come from CMake compiler ABI checks (false positive).
  * debian/watch: migrated to version 5.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Fri, 23 Jan 2026 17:21:25 -0300

obs-scene-collection-manager (0.1.2-1) unstable; urgency=medium

  * New upstream version 0.1.2.
  * debian/control: bumped Standards-Version to 4.7.0.
  * debian/copyright: updated upstream copyright years.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Thu, 07 Nov 2024 21:16:29 -0300
