=== debian/control ===
--- 
+++ 
@@ -1,16 +1,14 @@
 Source: obs-scene-collection-manager
 Section: video
-Priority: optional
 Maintainer: Joao Eriberto Mota Filho <eriberto@debian.org>
 Build-Depends: debhelper-compat (= 13),
                cmake,
                libobs-dev (>= 28.0.1),
                qt6-base-dev
-Standards-Version: 4.6.2
+Standards-Version: 4.7.3
 Homepage: https://obsproject.com/forum/resources/scene-collection-manager.1434/
 Vcs-Browser: https://salsa.debian.org/debian/obs-scene-collection-manager
 Vcs-Git: https://salsa.debian.org/debian/obs-scene-collection-manager.git
-Rules-Requires-Root: no
 
 Package: obs-scene-collection-manager
 Architecture: any
